;+
; NAME:
;  setpage
; PURPOSE:
;  Set size and location of plot on page to center the output.
; DESCRIPTION:
; CATEGORY:
;  Utility
; CALLING SEQUENCE:
; INPUTS:
; OPTIONAL INPUT PARAMETERS:
; KEYWORD INPUT PARAMETERS:
; OUTPUTS:
; KEYWORD OUTPUT PARAMETERS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
; PROCEDURE:
; MODIFICATION HISTORY:
;  Written 96/08/28, Marc W. Buie, Lowell Observatory
;
pro setpage,LANDSCAPE=landscape,PORTRAIT=portrait,XSIZE=xsize,YSIZE=ysize

if !d.name eq 'PS' then begin

   if keyword_set(landscape) or not keyword_set(portrait) then begin
      if badpar(xsize,[0,3,4,5,6],0,CALLER='SETPAGE: (xsize) ',default=25.0) then return
      if badpar(ysize,[0,3,4,5,6],0,CALLER='SETPAGE: (ysize) ',default=19.0) then return
      xoffset = (21.59 - ysize) / 2.0
      yoffset = (27.94 - xsize) / 2.0 + xsize
      device,xsize=xsize,ysize=ysize,xoffset=xoffset,yoffset=yoffset,/landscape
   endif

   if keyword_set(portrait) then begin
      if badpar(xsize,[0,3,4,5,6],0,CALLER='SETPAGE: (xsize) ',default=19.0) then return
      if badpar(ysize,[0,3,4,5,6],0,CALLER='SETPAGE: (ysize) ',default=25.0) then return
      xoffset = (21.59 - xsize) / 2.0
      yoffset = (27.94 - ysize) / 2.0
      device,xsize=xsize,ysize=ysize,xoffset=xoffset,yoffset=yoffset,/portrait
   endif

endif

end
